Bug 448465 - can't install glibc.i686 on x86_64 domU
Summary: can't install glibc.i686 on x86_64 domU
Keywords:
Status: CLOSED DUPLICATE of bug 437358
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-27 05:23 UTC by Matt Bernstein
Modified: 2008-05-27 14:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-27 14:31:10 UTC


Attachments (Terms of Use)

Description Matt Bernstein 2008-05-27 05:23:18 UTC
Description of problem:

The domU kernel doesn't appear to recognise 32-bit binaries!

Version-Release number of selected component (if applicable):

2.6.25.3-1.fc9.x86_64

How reproducible:

always (on the one box I've tried it on)

Steps to Reproduce:
1. install F9 x86_64 domU on CentOS 5 dom0
2. yum install glibc.i686
  
Actual results:

error: %post(glibc-2.8-3.i686) scriptlet failed, exit status 255
# /usr/sbin/glibc_post_upgrade.i686
-bash: /usr/sbin/glibc_post_upgrade.i686: cannot execute binary file

Expected results:

32-bit binaries work, happy users, etc.

Additional info:

problem doesn't seem to exist in kernel-2.6.25.3-18.fc9.x86_64

Comment 1 Eduardo Habkost 2008-05-27 14:31:10 UTC

*** This bug has been marked as a duplicate of 437358 ***


Note You need to log in before you can comment on or make changes to this bug.